ltximg is a Perl script which isolates all Tikz or
PSTricks related parts of the TeX document into single
pdf file, split and convert in eps/pdf/png/jpg/svg format. 

The advantage of "ltximg" is the ability to discuss the 
environments that give problems using the "preview" package 
as "verbatim" inline (verb|...|) or beginning with %, and
other environments (LTXexample, Verbatim,etc).

The images files are saved in a subdirectory images.

Syntax: perl ltximg.pl file.tex [options] 

ltximg create a copy for TeX source whit all PGF|TiKZ|Pstricks environments
       and convert all environments into single images (pdf/png/eps/jpg). 
       By default search and extract environments using (pdf)LaTeX 
       and ghostscript (gs).       

Environments suports by LTXimg:

    pspicture	tikzpicture	pgfpicture	forest	ganttchart
    tikzcd	circuitikz	dependency	other	postscript

Options:

  -h,--help          - display this help and exit
  -l,--license       - display license information and exit
  -v,--version 	     - display version (current 1.2) and exit
  -d,--dpi=<int>     - the dots per inch for images (default 150)
  -j,--jpg           - create .jpg files (need Ghostscript)
  -p,--png           - create .png files (need Ghostscript)
  -e,--eps	     - create .eps files (need pdftops)
  -s,--svg	     - create .svg files (need pdf2svg)
  -P,--ppm	     - create .ppm files (need pdftoppm)
  -a,--all	     - create .(pdf,eps,jpg,png) images
  -c,--clear         - delete all temp and aux files
  -o,--output        - create a file-out.tex whitout PGF|TiKZ|PST code
  -m,--margins=<int> - margins in bp for pdfcrop (default 0)
  -np,--nopreview    - create images files whitout preview package
  -ns,--nosource     - delete all source for images files
  --miktex           - use --enable-write18 for MikTeX users
  --xetex            - using (Xe)LaTeX for create images
  --latex            - using LaTeX for create images
  --luatex           - using (Lua)LaTeX for create images
  --nopdf            - don't create a PDF image files (default off)
  --other=<string>   - search other environment (default other)
  --ignore=<string>  - skip verbatim environment (default ignore)
  --imgdir=<string>  - the folder for images (default images)


Pablo González Luengo, 2015-04-21
